package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Telephone numbers.
 */
@ApiModel(description = "Telephone numbers.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class NumberOpenApiVo   {
  @JsonProperty("telephone number id")
  private String telephoneNumberId;

  @JsonProperty("telephone number")
  private String telephoneNumber;

  public NumberOpenApiVo telephoneNumberId(String telephoneNumberId) {
    this.telephoneNumberId = telephoneNumberId;
    return this;
  }

  /**
   * telephone number id
   * @return telephoneNumberId
  */
  @ApiModelProperty(value = "telephone number id")


  public String getTelephoneNumberId() {
    return telephoneNumberId;
  }

  public void setTelephoneNumberId(String telephoneNumberId) {
    this.telephoneNumberId = telephoneNumberId;
  }

  public NumberOpenApiVo telephoneNumber(String telephoneNumber) {
    this.telephoneNumber = telephoneNumber;
    return this;
  }

  /**
   * telephone number
   * @return telephoneNumber
  */
  @ApiModelProperty(value = "telephone number")


  public String getTelephoneNumber() {
    return telephoneNumber;
  }

  public void setTelephoneNumber(String telephoneNumber) {
    this.telephoneNumber = telephoneNumber;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    NumberOpenApiVo numberOpenApiVo = (NumberOpenApiVo) o;
    return Objects.equals(this.telephoneNumberId, numberOpenApiVo.telephoneNumberId) &&
        Objects.equals(this.telephoneNumber, numberOpenApiVo.telephoneNumber);
  }

  @Override
  public int hashCode() {
    return Objects.hash(telephoneNumberId, telephoneNumber);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NumberOpenApiVo {\n");
    
    sb.append("    telephoneNumberId: ").append(toIndentedString(telephoneNumberId)).append("\n");
    sb.append("    telephoneNumber: ").append(toIndentedString(telephoneNumber)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

